      subroutine floop(Matrix_A, Feld_C, Feld_B, N, K_IT)

      IMPLICIT NONE

      DOUBLE PRECISION Matrix_A(N ,N )      
      DOUBLE PRECISION Feld_B(N )      
      DOUBLE PRECISION Feld_C(N )      

      INTEGER N , I , J , K_IT , Loop

      DO Loop = 1 , K_IT  
         DO J = 1 , N
            DO I = 1 , N
               Feld_B( I ) = Feld_B( I ) + Matrix_A(I,J) * Feld_C(J)
            ENDDO
         ENDDO
      ENDDO

      return
      end
